[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.WriteData

Writes raw image data to the specified stream.

## Declaration

Source position: graphics.pp line 1300

`protected procedure TRasterImage.WriteData(`
`Stream: TStream`
`); override;`

## Arguments

`Stream` |  | Stream instance where image data is written in the method.

## Description

WriteData is a method used to write raw image data to the stream specified in Stream. WriteData is used by the TFiler instance during LCL component streaming.

WriteData ensures that an internal save stream is available for the shared image in the class instance. An FPImageException is raised when a valid stream could not be created for the image data.

WriteData is an overridden method with support for writing a header with the size for the raw image data. WriteData re-implements the method, and does not call the inherited method - but does call SaveToStream to complete the operation (just like the ancestor).

## Errors

Raises an FPImageException with the message in rsErrorWhileSavingBitmap when a stream could not be created for the shared image data.

## See also

TGraphic.WriteData |  | Writes the data for the Graphic to a stream.
TRasterImage.ReadData |  | Reads image data during component streaming.
TRasterImage.WriteStream |  | Writes the image content to the specified stream instance.
TGraphic.ReadData |  | ReadData - reads data for the Graphic from a stream.
TFiler